packages: {config, ...}: {
    environment.systemPackages = with packages; [
        nixpkgs.pavucontrol
        nixpkgs.xfce.xfce4_pulseaudio_plugin # FIXME: Only enable when running XFCE
    ];

    hardware.pulseaudio = with packages; {
        enable = true;
        support32Bit = true;
        package = nixpkgs.pulseaudioLight;
    };
}
