packages: {config, ...}: {
    environment.systemPackages = with packages; [
        nixpkgs.virtmanager
    ];

    boot.kernelModules = [
        "tun"    # For full network capabilities in QEMU/KVM
        "virtio" # Faster I/O drivers for QEMU/KVM on Linux
        "nbd"    # For mounting QEMU images (optionally over the network)
    ];
}
