{ system ? builtins.currentSystem }:

let
    pkgs = import <nixpkgs> { inherit system; } // {config.allowUnfree = true;};

    callPackage = packageName: options:
        pkgs.lib.callPackageWith (pkgs // pkgs.xorg // self) packageName (options);

    self = rec {
        xonotic = callPackage ./xonotic {};
        stardew-valley = callPackage ./stardew-valley {};
        starbound = callPackage ./starbound {};
        technic-launcher = callPackage ./technic-launcher {};
        ftb-launcher = callPackage ./ftb-launcher {};
    };
in
    self
