packages: {config, ...}: {
    environment.systemPackages = with packages; [
        nixpkgs.iptables

        nixpkgs.wget
        nixpkgs.curl
        nixpkgs.httpie
        nixpkgs.whois
    ];

    networking = {
        networkmanager.enable = true;
    };

    services = {
        #ntp = {
        #    enable = true;
        #    servers = [ "server.local" "0.pool.ntp.org" "1.pool.ntp.org" "2.pool.ntp.org" ];
        #};

        avahi = {
            enable = true;
            nssmdns = true;
        };
    };
}
